Leads
Append staged import rows
Appends up to 500 lead objects to a staged import job in uploading status.
POST
/v1/jobs/{id}/staging-rowsAuthorization
bearerAuth AuthorizationBearer <token>
Use an account API key in the Authorization header: Authorization: Bearer f_....
In: header
Path Parameters
idstring
Async import job id.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
leadsarray<LeadCreate>
Items
1 <= items <= 500curl -X POST "https://example.com/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/staging-rows" \ -H "Content-Type: application/json" \ -d '{ "leads": [ { "email": "user@example.com" } ] }'{ "uploaded_count": 0, "total_count": 0}{ "error": { "type": "invalid_request_error", "code": "invalid_flow", "message": "Flow validation failed" }, "details": [ { "path": "nodes[1].data.variants[0].id", "code": "invalid_variant_id", "message": "Email variants must have a stable UUID id." } ]}{ "error": { "type": "authentication_error", "code": "invalid_api_key", "message": "A valid Furnace API key is required" }}{ "error": { "type": "invalid_request_error", "code": "campaign_not_found", "message": "Campaign not found" }}{ "error": { "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "Rate limit exceeded for this account" }}{ "error": { "type": "api_error", "code": "internal_error", "message": "Internal server error" }}